#include "./profinet/profinet_cb_connect_ind.hpp"
#include "./profinet/profinet.hpp"

int profinet_cb_connect_ind( pnet_t * net,
                             void * arg,
                             uint32_t arep,
                             pnet_result_t * p_result)
{
    Profinet * const profinet_ptr = static_cast<Profinet*>(arg);

    return profinet_ptr->callbackConnectInd(arep, p_result);
}